CREATE TABLE R1 (
	Anyo	integer, 
	Num_disp_comprados number, -- Q1
	Importe_orden_inversion number, --Q3
	Num_total_averias number --Q13
) TABLESPACE INVENTARIO_DWH;

CREATE TABLE R2 (
	cod_dep	number(9),
	Num_disp_activos number, -- Q5
	Valor_econ_inventario_activo number, --Q6
	Num_disp_diferente number, --Q11
	Total_reasignaciones number -- Q8
) TABLESPACE INVENTARIO_DWH;

CREATE TABLE R3 (
	cod_prov number(9),
	total_pedidos_servidos number,
	dias_delay number
	-- el valor periodo_entrega_promedio = dias_delay / total_pedidos_servidos; --Q4
) TABLESPACE INVENTARIO_DWH;

CREATE TABLE R4 (
	Total_empleados number, 
	empleados_con_dispositivo number, --Q9 = empleados_con_dispositivo/total_empleados*100
	Empleados_mas_de_5_disp number --Q12
) TABLESPACE INVENTARIO_DWH;

CREATE TABLE R5 (
	tipo_dispositivo number(9),
	unidades_pendientes_asignar number --Q10
) TABLESPACE INVENTARIO_DWH;

CREATE TABLE R6 (
	num_portatiles number,
	num_portatiles_averiados number --Q2: num_portatiles/num_portatiles_averiasdos *100
) TABLESPACE INVENTARIO_DWH;

CREATE TABLE R7 (
	cod_usuari number,
	num_averias number -- Q14
) TABLESPACE INVENTARIO_DWH;

-- Aadimos las PK
alter table R1 add constraint R1_pk primary key (anyo);
alter table R2 add constraint R2_pk primary key (cod_dep);
alter table R3 add constraint R3_pk primary key (cod_prov);
alter table R5 add constraint R5_PK primary key (tipo_dispositivo);
alter table R7 add constraint R7_PK primary key (cod_usuari);


