-----------------------------------------------------
--- Vaca las tablas para volver al estado inicial --
-----------------------------------------------------



-- borra estadsticas
delete from R1;
delete from R2;
delete from R3;
delete from R4;
delete from R5;
delete from R6;
delete from R7;
-- borra log
delete from INV_LOG;
-- DESHABILITAMOS CONSTRAINTS
ALTER TABLE INV_EMPLEADO DISABLE CONSTRAINT INV_EMPLEADO_SEDE_FK ;
ALTER TABLE INV_DEPARTAMENTO DISABLE CONSTRAINT INV_DEPARTAMENTO_EMPLEADO_FK;
ALTER TABLE INV_PEDIDO DISABLE CONSTRAINT INV_PEDIDO_EMPLEADO_RESP_FK;
ALTER TABLE INV_PRESUPUESTO DISABLE CONSTRAINT INV_PRESUPUESTO_PEDIDO_FK;
ALTER TABLE INV_PRESUPUESTO DISABLE CONSTRAINT INV_PRESUPUESTO_PROVEEDOR_FK;
-- BORRA TABLAS PRINCIPALES
delete from INV_MOVIMIENTO;
delete from INV_DISPOSITIVO;
delete from INV_INVENTARIO;
delete from INV_LINEA_PEDIDO;
delete from INV_PEDIDO;
delete from INV_EMPLEADO;
delete from INV_PROVEEDOR;
delete from INV_SEDE;
delete from INV_DEPARTAMENTO;
delete from INV_PRODUCTO;
delete from INV_PRESUPUESTO;
-- BORRA TABLAS MAESTRAS
--drop table INV_TIPO_MOVIMIENTO;
--drop table INV_TIPO_PRODUCTO;
--drop table INV_MARCA;

commit;

-- HABILITAMOS CONSTRAINTS
ALTER TABLE INV_EMPLEADO ENABLE CONSTRAINT INV_EMPLEADO_SEDE_FK;
ALTER TABLE INV_DEPARTAMENTO ENABLE CONSTRAINT INV_DEPARTAMENTO_EMPLEADO_FK;
ALTER TABLE INV_PEDIDO ENABLE CONSTRAINT INV_PEDIDO_EMPLEADO_RESP_FK;
ALTER TABLE INV_PRESUPUESTO ENABLE CONSTRAINT INV_PRESUPUESTO_PEDIDO_FK;
ALTER TABLE INV_PRESUPUESTO ENABLE CONSTRAINT INV_PRESUPUESTO_PROVEEDOR_FK;


-- RESETEAMOS LAS SECUENCIAS PARA HACER LAS PRUEBAS con el mismo ID 
-- (primero se borran y luego se vuelven a crear)
drop sequence dispositivo_seq;
drop sequence producto_seq;
drop sequence tipo_producto_seq;
drop sequence marca_seq;
drop sequence movimiento_seq;
drop sequence tipo_movimiento_seq;
drop sequence empleado_seq;
drop sequence departamento_seq;
drop sequence pedido_seq;
drop sequence linea_pedido_seq;
drop sequence proveedor_seq;
drop sequence inventario_seq;
drop sequence presupuesto_seq;
drop sequence sede_seq;
drop sequence log_seq;
@../04_sequences.sql

