-- Connectado com SYSTEM
--DROP USER INVENTARIO CASCADE;  -- Para borrar el usuario si estuviera creado
/*
-- creamos el tablespace INVENTARIO_DATA
CREATE TABLESPACE INVENTARIO_DATA
	DATAFILE 'D:\ORACLE\ORADATA1\INVENTARIO\INVENTARIO_DATA_01.DBF' 
	SIZE 50M;
-- creamos el tablespace INVENTARIO_INDEX
CREATE TABLESPACE INVENTARIO_INDEX
	DATAFILE 'D:\ORACLE\ORADATA1\INVENTARIO\INVENTARIO_INDEX_01.DBF' SIZE 20 M;
-- tablespace DWH
CREATE TABLESPACE INVENTARIO_DWH
	DATAFILE 'D:\ORACLE\ORADATA1\INVENTARIO\INVENTARIO_DWH_01.DBF' SIZE 20 M;
*/


CREATE USER INVENTARIO
	IDENTIFIED BY inventario
	DEFAULT TABLESPACE INVENTARIO_DATA
	QUOTA UNLIMITED ON INVENTARIO_DATA
  QUOTA UNLIMITED ON INVENTARIO_INDEX
  QUOTA UNLIMITED ON INVENTARIO_DWH
	TEMPORARY TABLESPACE temp
	QUOTA 0 ON users;

GRANT CREATE SESSION, RESOURCE TO INVENTARIO;
GRANT DEBUG CONNECT SESSION TO INVENTARIO;
GRANT DEBUG ANY PROCEDURE TO INVENTARIO;



