-- nota: ejecutar antes que la creacion de constraints (antes de crear pk)

CREATE UNIQUE INDEX inv_dispositivo_cod_i ON inv_dispositivo (cod_disp) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_inventario_cod_i ON inv_inventario (cod_inv) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_tipo_producto_cod_i ON inv_tipo_producto(cod_tipo_prod) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_producto_cod_i ON inv_producto(cod_prod) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_marca_cod_i	ON inv_marca(cod_marca) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_movimiento_cod_i ON inv_movimiento(cod_mov) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_tipo_movimiento_cod_i ON inv_tipo_movimiento(cod_tipo_mov) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_empleado_cod_i ON inv_empleado(cod_emp) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_departamento_cod_i	ON inv_departamento(cod_dep) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_pedido_cod_i ON inv_pedido(cod_pedido) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_linea_pedido_cod_i	ON inv_linea_pedido(cod_lineap) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_proveedor_cod_i	ON inv_proveedor(cod_prov) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_presupuesto_cod_i ON inv_presupuesto(cod_presup) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_sede_cod_i ON inv_sede(cod_sede) TABLESPACE INVENTARIO_INDEX;
CREATE UNIQUE INDEX inv_log_cod_i ON inv_log(cod_log) TABLESPACE INVENTARIO_INDEX;

-- ALGUN INDEX MS PARA MEJORES BSQUEDAS: DNI EMPLEADO

CREATE INDEX inv_empleado_nif_i ON inv_empleado(NIF_emp)
