declare

V_RSP varchar2(200);
V_OUT number; -- resultado que retorna el procedumiento

begin

-- MOVIMIENTOS DE DISPOSITIVO REASIGNACIONES Y AVERIAS
-- Reasignacin de dispositivos (TIPO_MOV = 4)
INV_DISPOSITIVOS_PQ.INV_GEST_DISP_ALTA_MOV_PR(TO_DATE('2015/10/01', 'yyyy/mm/dd'),7,2,5,'4','Aparato reasignado',V_RSP,V_OUT); -- Disp 7 de empleado 2 a 5 (hay cambio de departamento del dispositivo)
INV_DISPOSITIVOS_PQ.INV_GEST_DISP_ALTA_MOV_PR(TO_DATE('2015/10/01', 'yyyy/mm/dd'),4,3,1,'4','Aparato reasignado',V_RSP,V_OUT);
-- Alta nuevo movimiento averia
INV_DISPOSITIVOS_PQ.INV_GEST_DISP_ALTA_MOV_PR(TO_DATE('2015/10/09', 'yyyy/mm/dd'),1,1,2,'5','Rotura pantalla',V_RSP,V_OUT); --5 TIPO MOVIMIENTO AVERIA
-- Alta movimiento que repara la avera anterior
INV_DISPOSITIVOS_PQ.INV_GEST_DISP_ALTA_MOV_PR(TO_DATE('2015/10/10', 'yyyy/mm/dd'),1,2,1,'7','Rotura pantalla reparada',V_RSP,V_OUT); --7 Reparacin
-- Aadimos una avera en el mismo porttil que en el primer caso: para las estadsticas no contabilizar como nuevo porttil averiado
INV_DISPOSITIVOS_PQ.INV_GEST_DISP_ALTA_MOV_PR(TO_DATE('2015/12/29', 'yyyy/mm/dd'),1,1,2,'5','Rotura pantalla, otra vez',V_RSP,V_OUT); --5 TIPO MOVIMIENTO AVERIA
-- Modifica departamento
--  (p_cod_dep,p_nombre,p_descripcion,p_responsable, RSP OUT VARCHAR2); 	
INV_MANTENIMIENTOS_PQ.INV_GEST_DEP_MODIF_PR  (2,'TECNOLOGA Y COMUNICACIONES','Departamento de tecnologa, innovacin y desarrollo',3, v_RSP); 	
-- Modifica responsable de departamento
INV_MANTENIMIENTOS_PQ.INV_GEST_DEP_MODIF_PR(2,NULL,NULL,1,V_RSP);
-- Modifica empleados
-- INV_GEST_EMPLEADO_MODIF_PR  (p_cod_emp ,p_nif  ,p_nombre ,p_apellidos ,p_sexo ,p_telefono ,p_fecha_nac ,p_email ,p_cod_dep ,p_cod_sede , p_estado ,RSP OUT VARCHAR2);
INV_MANTENIMIENTOS_PQ.INV_GEST_EMPLEADO_MODIF_PR(6,NULL,NULL,NULL,NULL,'971285852',NULL,'trealea@yahoo.es',NULL,NULL,NULL,V_RSP); --modificaciones datos contacto
INV_MANTENIMIENTOS_PQ.INV_GEST_EMPLEADO_MODIF_PR(7,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'B',V_RSP); --baja
-- Modifica dispositivo
--INV_GEST_DISP_MANT_PR (p_cod_dispositivo,p_num_serie,p_fecha_validacion_inv,p_es_departamental,p_fecha_compra,p_comentario,p_cod_inventario,p_cod_producto,p_cod_empleado,p_cod_sede,RSP OUT VARCHAR2);
INV_DISPOSITIVOS_PQ.INV_GEST_DISP_MANT_MOV_PR ( 1,TO_DATE('01/12/2015', 'dd/mm/yyyy'),NULL,NULL,NULL,'Fecha actualizada',v_RSP);
INV_DISPOSITIVOS_PQ.INV_GEST_DISP_MANT_PR (7,NULL,NULL,'1',NULL,'Impresora departamental',NULL,NULL,NULL,NULL,V_RSP); -- MODIFICACIN A DEPARTAMENTAL Y NUEVA DESCRIPCIN
INV_DISPOSITIVOS_PQ.INV_GEST_DISP_MANT_PR (6,NULL,NULL,NULL,TO_DATE('01/12/2015', 'dd/mm/yyyy'),'Fecha actualizada',NULL,NULL,NULL,NULL,V_RSP); --MODIFICACIN FECHA COMPRA

-- BAJA DE DISPOSITIVO
INV_DISPOSITIVOS_PQ.INV_GEST_DISP_BAJA_PR (3,TO_DATE('01/12/2015', 'dd/mm/yyyy'),'BAJA por defectuoso',V_RSP);
-- BAJA DE EMPLEADO
INV_MANTENIMIENTOS_PQ.INV_GEST_EMPLEADO_BAJA_PR(13,v_RSP); 
-- ELIMINACION DE EMPLEADO
INV_MANTENIMIENTOS_PQ.INV_GEST_EMPLEADO_ELIMINA_PR(13,v_RSP);
end;
/
